using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void RadGrid1_NeedDataSource(object source, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = MasterData();
        Label1.Text = "PageSize: " + RadGrid1.PageSize.ToString();
    }
    public List<MasterItem> MasterData()
    {
        List<MasterItem> list = new List<MasterItem>();
        for (int i = 0; i < 30; i++)
        {
            list.Add(new MasterItem(i, "Item" + i.ToString()));
        }
        return list;
    }
}
public class MasterItem
{
    public int ID { get; set; }
    public string Item { get; set; }
    public MasterItem(int id, string item)
    {
        ID = id;
        Item = item;
    }
}